<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Sat Oct 05 11:12:57 CEST 2019 -->
<title>ScoredVocabulary (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-05">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ScoredVocabulary (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":9,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10,"i46":10,"i47":10,"i48":10,"i49":10,"i50":10,"i51":10,"i52":10,"i53":10,"i54":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.featureconstruction.vocabulary</a></div>
<h2 title="Class ScoredVocabulary" class="title">Class ScoredVocabulary</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.lang.Iterable&lt;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">ScoredVocabulary</span>
extends java.lang.Object
implements java.lang.Iterable&lt;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;</pre>
<div class="block">Represents a vocabulary as usable in ML-classification-scenarios where text is vectorized based on
 methods like Bag of Words. It provides extensive means to manipulate a vocabulary
 once it is build, like cutting of parts of the vocabulary based on their fisher score.
 For such manipulating functions that rely on statistics for every single term in the vocabulary it is
 necessary for the user to tell the vocabulary when documents change and which class the new document has
 during the "vocabulary-training-process" by calling <a href="#newDocument(int)"><code>newDocument(int)</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">ScoredVocabulary</a></span>()</code></th>
<td class="colLast">
<div class="block">Builds a ScoredVocabulary and initializes this.createdBy to "UNKOWN"
 and this.id to "NO-ID-EXISTENT".</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#add(java.lang.String)">add</a></span>&#8203;(java.lang.String&nbsp;term)</code></th>
<td class="colLast">
<div class="block">Adds a term to the vocabulary.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addAll(java.lang.String%5B%5D,int,boolean)">addAll</a></span>&#8203;(java.lang.String[]&nbsp;tokens,
      int&nbsp;windowSize,
      boolean&nbsp;additive)</code></th>
<td class="colLast">
<div class="block">Adds all given tokens to the vocabulary and if windowSize is greater than 1 will calculate n-grams and add those to the
 vocabulary.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addAll(java.lang.String,int,java.lang.String,boolean)">addAll</a></span>&#8203;(java.lang.String&nbsp;input,
      int&nbsp;windowSize,
      java.lang.String&nbsp;separatorRegex,
      boolean&nbsp;additive)</code></th>
<td class="colLast">
<div class="block">Variation on <a href="#addAll(java.lang.String%5B%5D,int,boolean)"><code>addAll(String[], int, boolean)</code></a> that works on a single string but needs a regex, describing
 the separators to use to split the given input into tokens.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#applyAdditionalSteps(java.lang.String)">applyAdditionalSteps</a></span>&#8203;(java.lang.String&nbsp;stepsString)</code></th>
<td class="colLast">
<div class="block">Will apply additional steps as specified in a String by using reflection; this allows for easily extensible external configuration but
 should be used with caution.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cutBottomXPercent(double)">cutBottomXPercent</a></span>&#8203;(double&nbsp;percentage)</code></th>
<td class="colLast">
<div class="block">Removes all terms that make up the bottom less or equal than x% of the least frequent terms in the vocabulary.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cutBottomXPercentByOccurrencesFixated(double)">cutBottomXPercentByOccurrencesFixated</a></span>&#8203;(double&nbsp;percentage)</code></th>
<td class="colLast">
<div class="block">Removes all terms that make up lesser or equal than x% of the least occurring terms in the vocabulary; beware: uses <a href="#fixedSize"><code>fixedSize</code></a>
 as reference for the total amount of terms in the vocabulary.That DOES NOT mean x% of terms will be cut of!</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cutTopAndBottomXPercent(double,double)">cutTopAndBottomXPercent</a></span>&#8203;(double&nbsp;topPercentage,
                       double&nbsp;bottomPercentage)</code></th>
<td class="colLast">
<div class="block">Cuts a specified top and bottom percentage of all terms from the vocabulary.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cutTopXPercent(double)">cutTopXPercent</a></span>&#8203;(double&nbsp;percentage)</code></th>
<td class="colLast">
<div class="block">Removes all terms that make up the top less or equal than x% of the most frequent terms in the vocabulary.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cutTopXPercentByoccurrencesFixated(double)">cutTopXPercentByoccurrencesFixated</a></span>&#8203;(double&nbsp;percentage)</code></th>
<td class="colLast">
<div class="block">Removes all terms that make up greater or equal x% of the most occurring terms in the vocabulary.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fisherScoresBinaryAsArray()">fisherScoresBinaryAsArray</a></span>()</code></th>
<td class="colLast">
<div class="block">Calculates the (simple) fisher scores for the terms in this vocabulary where empiric expected values and derived expected variances
 are calculated based on the existence of the terms in the documents; that means independent on the actual number of
 occurrences of a word in a text, for the calculation of the fisher score it will be counted as one occurrence.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,&#8203;java.lang.Double&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fisherScoresBinaryAsMap()">fisherScoresBinaryAsMap</a></span>()</code></th>
<td class="colLast">
<div class="block">Similar to <a href="#fisherScoresBinaryAsArray()"><code>fisherScoresBinaryAsArray()</code></a> but returns a map instead of an array.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>double[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fisherScoresCountedAsArray()">fisherScoresCountedAsArray</a></span>()</code></th>
<td class="colLast">
<div class="block">Calculates the (simple) fisher scores for the terms in this vocabulary where empiric expected values and derived expected variances
 are calculated based on the absolute number of occurrences of the terms in the documents.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,&#8203;java.lang.Double&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fisherScoresCountedAsMap()">fisherScoresCountedAsMap</a></span>()</code></th>
<td class="colLast">
<div class="block">Similar to <a href="#fisherScoresCountedAsArray()"><code>fisherScoresCountedAsArray()</code></a> but returns a map instead of an array.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fixatePercentageReference()">fixatePercentageReference</a></span>()</code></th>
<td class="colLast">
<div class="block">Sets <a href="#fixedSize"><code>fixedSize</code></a> to the current value of <a href="#numberOfAdditions()"><code>numberOfAdditions()</code></a>.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#forEach(java.util.function.Consumer)">forEach</a></span>&#8203;(java.util.function.Consumer&lt;? super <a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;&nbsp;action)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static <a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fromFile(java.lang.String)">fromFile</a></span>&#8203;(java.lang.String&nbsp;path)</code></th>
<td class="colLast">
<div class="block">Will build a ScoredVocabulary from a *.fbowvoc file.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#get(int)">get</a></span>&#8203;(int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Returns the <a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary"><code>TermStatistics</code></a> for a term by a given term-index.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#get(java.lang.String)">get</a></span>&#8203;(java.lang.String&nbsp;term)</code></th>
<td class="colLast">
<div class="block">Returns the <a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary"><code>TermStatistics</code></a> for a given term.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.util.Map.Entry&lt;java.lang.String,&#8203;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getEntryList()">getEntryList</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the vocabulary's entries as a list.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.util.Map.Entry&lt;java.lang.String,&#8203;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getEntryListSortedByAbsFrequencyAsc()">getEntryListSortedByAbsFrequencyAsc</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the vocabulary's entries as a sorted list (ascending by their absolute frequency).</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.util.Map.Entry&lt;java.lang.String,&#8203;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getEntryListSortedByAbsFrequencyDesc()">getEntryListSortedByAbsFrequencyDesc</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the vocabulary's entries as a sorted list (descending by their absolute frequency).</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getId()">getId</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTermByIndex(int)">getTermByIndex</a></span>&#8203;(int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Returns the term associated with a given index.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>java.util.LinkedHashMap&lt;java.lang.Integer,&#8203;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTermIndexToInfoMap()">getTermIndexToInfoMap</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>java.util.LinkedHashMap&lt;java.lang.String,&#8203;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTermStringToInfoMap()">getTermStringToInfoMap</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTransformationLog()">getTransformationLog</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the transformation log for this vocabulary containing all the steps
 performed to reduce this vocabulary.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isApplyLowerCasing()">isApplyLowerCasing</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isApplyStemming()">isApplyStemming</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isEmpty()">isEmpty</a></span>()</code></th>
<td class="colLast">
<div class="block">Tests the vocabulary for emptiness</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isRemoveStopwords()">isRemoveStopwords</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>@NotNull java.util.Iterator&lt;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#iterator()">iterator</a></span>()</code></th>
<td class="colLast">
<div class="block">Creates an iterator returning TermStatistic-objects for terms contained in this vocabulary.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>java.util.Iterator&lt;java.util.Map.Entry&lt;java.lang.String,&#8203;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#iteratorTermStringToInfoMapEntrySet()">iteratorTermStringToInfoMapEntrySet</a></span>()</code></th>
<td class="colLast">
<div class="block">Creates an iterator returning map entries where a term is associated with its corresponding
 TermStatistics-object.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#keepOnlyByBiggerThanAbsoluteFrequency(int)">keepOnlyByBiggerThanAbsoluteFrequency</a></span>&#8203;(int&nbsp;minFrequency)</code></th>
<td class="colLast">
<div class="block">Deletes all entries from the vocabulary that have an absolute frequency value lower or equal
 than the given minFrequency.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code><a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#keepOnlyByBiggerThanPercentage(double)">keepOnlyByBiggerThanPercentage</a></span>&#8203;(double&nbsp;minPercentage)</code></th>
<td class="colLast">
<div class="block">Only keeps words in the vocabulary whose relative frequency/percentage of the current <a href="#numberOfAdditions()"><code>numberOfAdditions()</code></a> is bigger than
 minPercentage.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code><a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#keepOnlyByBiggerThanPercentageFixated(double)">keepOnlyByBiggerThanPercentageFixated</a></span>&#8203;(double&nbsp;minPercentage)</code></th>
<td class="colLast">
<div class="block">Only keeps words in the vocabulary whose relative frequency/percentage of the current <a href="#fixedSize"><code>fixedSize</code></a> is bigger than
 minPercentage.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code><a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#keepOnlyBySmallerThanAbsoluteFrequency(int)">keepOnlyBySmallerThanAbsoluteFrequency</a></span>&#8203;(int&nbsp;maxFrequency)</code></th>
<td class="colLast">
<div class="block">Deletes all entries from the vocabulary that have an absolute frequency value bigger or equal
 than the given maxFrequency.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code><a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#keepOnlyBySmallerThanPercentage(double)">keepOnlyBySmallerThanPercentage</a></span>&#8203;(double&nbsp;maxPercentage)</code></th>
<td class="colLast">
<div class="block">Only keeps words in the vocabulary whose relative frequency/percentage of the current <a href="#numberOfAdditions()"><code>numberOfAdditions()</code></a> is smaller than
 minPercentage.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code><a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#keepOnlyBySmallerThanPercentageFixated(double)">keepOnlyBySmallerThanPercentageFixated</a></span>&#8203;(double&nbsp;maxPercentage)</code></th>
<td class="colLast">
<div class="block">Only keeps words in the vocabulary whose relative frequency/percentage of the current <a href="#fixedSize"><code>fixedSize</code></a> is smaller than
 minPercentage.</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#keepTopXByFisherScoreBinary(int)">keepTopXByFisherScoreBinary</a></span>&#8203;(int&nbsp;numberToKeep)</code></th>
<td class="colLast">
<div class="block">Will calculate the fisher score for each term in the vocabulary and keep
 only the top x sorted by fisher score (descending) in the vocabulary using
 binary counting to calculate the fisher score (for example for the estimated expected values).</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#keepTopXByFisherScoreCounted(int)">keepTopXByFisherScoreCounted</a></span>&#8203;(int&nbsp;numberToKeep)</code></th>
<td class="colLast">
<div class="block">Will calculate the fisher score for each term in the vocabulary and keep
 only the top x sorted by fisher score (descending) in the vocabulary using the actual
 number of occurrences of the individual terms while calculating the fisher scores (for example
 for the estimated expected values).</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#newDocument(int)">newDocument</a></span>&#8203;(int&nbsp;docClass)</code></th>
<td class="colLast">
<div class="block">Signals that all following terms belong to a new document.</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#readProperties(java.nio.file.Path)">readProperties</a></span>&#8203;(java.nio.file.Path&nbsp;configPath)</code></th>
<td class="colLast">
<div class="block">Can be used to fill the VocabularyProperties associated with this instance from a properties file as it is used
 by the methods in <a href="VocabularyBuilder.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary"><code>VocabularyBuilder</code></a>.</div>
</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#reindex()">reindex</a></span>()</code></th>
<td class="colLast">
<div class="block">Reindexes the vocabulary.</div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#remove(int)">remove</a></span>&#8203;(int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Removes a term from the vocabulary by a given index.</div>
</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#remove(java.lang.String)">remove</a></span>&#8203;(java.lang.String&nbsp;term)</code></th>
<td class="colLast">
<div class="block">Removes a given term from the vocabulary.</div>
</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCreatedBy(java.lang.String)">setCreatedBy</a></span>&#8203;(java.lang.String&nbsp;createdBy)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setId(java.lang.String)">setId</a></span>&#8203;(java.lang.String&nbsp;id)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#size()">size</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the number of different terms contained in this vocabulary.</div>
</td>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><code>java.util.Spliterator&lt;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#spliterator()">spliterator</a></span>()</code></th>
<td class="colLast">
<div class="block">NOT IMPLEMENTED</div>
</td>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;org.apache.commons.lang3.tuple.ImmutablePair&lt;java.lang.Integer,&#8203;java.lang.Double&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#termIndicesSortedByFisherScoreBinary()">termIndicesSortedByFisherScoreBinary</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns a list term indices sorted by fisher score (binary version) in the form
 of ImmutablePairs where left is the term-index and right is the associated fisher score</div>
</td>
</tr>
<tr id="i50" class="altColor">
<td class="colFirst"><code>java.util.List&lt;org.apache.commons.lang3.tuple.ImmutablePair&lt;java.lang.Integer,&#8203;java.lang.Double&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#termIndicesSortedByFisherScoreCounted()">termIndicesSortedByFisherScoreCounted</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns a list term indices sorted by fisher score (counted version) in the form
 of ImmutablePairs where left is the term-index and right is the associated fisher score</div>
</td>
</tr>
<tr id="i51" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;org.apache.commons.lang3.tuple.ImmutablePair&lt;java.lang.String,&#8203;java.lang.Double&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#termsSortedByFisherScoreBinary()">termsSortedByFisherScoreBinary</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns a list terms sorted by fisher score (binary version) in the form
 of ImmutablePairs where left is the term and right is the associated fisher score</div>
</td>
</tr>
<tr id="i52" class="altColor">
<td class="colFirst"><code>java.util.List&lt;org.apache.commons.lang3.tuple.ImmutablePair&lt;java.lang.String,&#8203;java.lang.Double&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#termsSortedByFisherScoreCounted()">termsSortedByFisherScoreCounted</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns a list terms sorted by fisher score (counted version) in the form
 of ImmutablePairs where left is the term and right is the associated fisher score</div>
</td>
</tr>
<tr id="i53" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i54" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#writeToFile(java.lang.String)">writeToFile</a></span>&#8203;(java.lang.String&nbsp;path)</code></th>
<td class="colLast">
<div class="block">Writes a text-representation of the vocabulary to a file at the given path.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ScoredVocabulary</h4>
<pre>public&nbsp;ScoredVocabulary()</pre>
<div class="block">Builds a ScoredVocabulary and initializes this.createdBy to "UNKOWN"
 and this.id to "NO-ID-EXISTENT".</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="fromFile(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromFile</h4>
<pre class="methodSignature">public static&nbsp;<a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;fromFile&#8203;(java.lang.String&nbsp;path)</pre>
<div class="block">Will build a ScoredVocabulary from a *.fbowvoc file.
 As those do not contain any class or document-information
 this method will act as if all vocabs belong to a single document of class
 -10. Most importantly that means that truncation based on statistics
 of terms and documents will not work correctly (e.g. cutting by fisher-scores).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - absolute path to the vocabulary file</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the vocabulary</dd>
</dl>
</li>
</ul>
<a id="readProperties(java.nio.file.Path)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readProperties</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;readProperties&#8203;(java.nio.file.Path&nbsp;configPath)</pre>
<div class="block">Can be used to fill the VocabularyProperties associated with this instance from a properties file as it is used
 by the methods in <a href="VocabularyBuilder.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary"><code>VocabularyBuilder</code></a>. This allows for some
 tasks to be programmed more conveniently.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>configPath</code> - path to the location of the config</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>VocabularyBuildingProperties.readProperties(Path)</code></dd>
</dl>
</li>
</ul>
<a id="newDocument(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newDocument</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;newDocument&#8203;(int&nbsp;docClass)</pre>
<div class="block">Signals that all following terms belong to a new document.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>docClass</code> - class of the new document</dd>
</dl>
</li>
</ul>
<a id="getTermStringToInfoMap()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTermStringToInfoMap</h4>
<pre class="methodSignature">public&nbsp;java.util.LinkedHashMap&lt;java.lang.String,&#8203;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;&nbsp;getTermStringToInfoMap()</pre>
</li>
</ul>
<a id="getTermIndexToInfoMap()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTermIndexToInfoMap</h4>
<pre class="methodSignature">public&nbsp;java.util.LinkedHashMap&lt;java.lang.Integer,&#8203;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;&nbsp;getTermIndexToInfoMap()</pre>
</li>
</ul>
<a id="remove(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;remove&#8203;(java.lang.String&nbsp;term)</pre>
<div class="block">Removes a given term from the vocabulary.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>term</code> - term to be removed</dd>
</dl>
</li>
</ul>
<a id="remove(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;remove&#8203;(int&nbsp;index)</pre>
<div class="block">Removes a term from the vocabulary by a given index.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - index of term to be removed</dd>
</dl>
</li>
</ul>
<a id="add(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;add&#8203;(java.lang.String&nbsp;term)</pre>
<div class="block">Adds a term to the vocabulary. This method will do all necessary statistics updates
 and existence check-ups so the user does not have to worry about these making this
 the preferred method to add terms to the vocabulary.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>term</code> - term to be added</dd>
</dl>
</li>
</ul>
<a id="addAll(java.lang.String[],int,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addAll</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addAll&#8203;(java.lang.String[]&nbsp;tokens,
                   int&nbsp;windowSize,
                   boolean&nbsp;additive)</pre>
<div class="block">Adds all given tokens to the vocabulary and if windowSize is greater than 1 will calculate n-grams and add those to the
 vocabulary. It can be specified if only the n-grams should be added or if the underlying unigrams should also be included.
 Remark that this does NOT add all *possible* n-grams that can be build with the single tokens but merely those
 that really occur as given by the inherent ordering of the input-array!</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tokens</code> - the tokens to be added to the vocabulary, it is assumed that they are given in their respective original order</dd>
<dd><code>windowSize</code> - if it's set to values greater than 1 [windowSize]-grams will be added to the vocabulary</dd>
<dd><code>additive</code> - if true, n-grans AND unigrams will be added, if false, only n-grams will be added</dd>
</dl>
</li>
</ul>
<a id="addAll(java.lang.String,int,java.lang.String,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addAll</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addAll&#8203;(java.lang.String&nbsp;input,
                   int&nbsp;windowSize,
                   java.lang.String&nbsp;separatorRegex,
                   boolean&nbsp;additive)</pre>
<div class="block">Variation on <a href="#addAll(java.lang.String%5B%5D,int,boolean)"><code>addAll(String[], int, boolean)</code></a> that works on a single string but needs a regex, describing
 the separators to use to split the given input into tokens.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>input</code> - see base method</dd>
<dd><code>windowSize</code> - see base method</dd>
<dd><code>separatorRegex</code> - is used to calculate tokens as input.split(separatoregex)</dd>
<dd><code>additive</code> - see base method</dd>
</dl>
</li>
</ul>
<a id="reindex()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reindex</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;reindex()</pre>
<div class="block">Reindexes the vocabulary.</div>
</li>
</ul>
<a id="fixatePercentageReference()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixatePercentageReference</h4>
<pre class="methodSignature">public&nbsp;<a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;fixatePercentageReference()</pre>
<div class="block">Sets <a href="#fixedSize"><code>fixedSize</code></a> to the current value of <a href="#numberOfAdditions()"><code>numberOfAdditions()</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the modified Vocabulary instance itself to allow chaining of certain modification-methods.</dd>
</dl>
</li>
</ul>
<a id="writeToFile(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeToFile</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;writeToFile&#8203;(java.lang.String&nbsp;path)</pre>
<div class="block">Writes a text-representation of the vocabulary to a file at the given path.
 The format is as follows:
 <pre>
 [line 0]fvoc: METHOD_ID this.id
 [line 1]key
 [line 2]key
 ...
 </pre>

 Example:
 <pre>
 fvoc: my_method_id my_vocabulary_id
 do
 not
 go
 gentle
 into
 that
 good
 night
 </pre></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the path where the file should be saved</dd>
</dl>
</li>
</ul>
<a id="getEntryList()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEntryList</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.util.Map.Entry&lt;java.lang.String,&#8203;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;&gt;&nbsp;getEntryList()</pre>
<div class="block">Returns the vocabulary's entries as a list.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the entries as sorted list</dd>
</dl>
</li>
</ul>
<a id="getEntryListSortedByAbsFrequencyDesc()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEntryListSortedByAbsFrequencyDesc</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.util.Map.Entry&lt;java.lang.String,&#8203;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;&gt;&nbsp;getEntryListSortedByAbsFrequencyDesc()</pre>
<div class="block">Returns the vocabulary's entries as a sorted list (descending by their absolute frequency).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the entries as sorted list</dd>
</dl>
</li>
</ul>
<a id="getEntryListSortedByAbsFrequencyAsc()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEntryListSortedByAbsFrequencyAsc</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.util.Map.Entry&lt;java.lang.String,&#8203;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;&gt;&nbsp;getEntryListSortedByAbsFrequencyAsc()</pre>
<div class="block">Returns the vocabulary's entries as a sorted list (ascending by their absolute frequency).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the entries as sorted list</dd>
</dl>
</li>
</ul>
<a id="keepOnlyByBiggerThanAbsoluteFrequency(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>keepOnlyByBiggerThanAbsoluteFrequency</h4>
<pre class="methodSignature">public&nbsp;<a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;keepOnlyByBiggerThanAbsoluteFrequency&#8203;(int&nbsp;minFrequency)</pre>
<div class="block">Deletes all entries from the vocabulary that have an absolute frequency value lower or equal
 than the given minFrequency.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>minFrequency</code> - the minFrequency that has to be surpassed for a word to be kept inside the vocabulary</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the modified FrequencyBowVocabulary instance itself to allow chaining of certain modification-methods.</dd>
</dl>
</li>
</ul>
<a id="keepOnlyBySmallerThanAbsoluteFrequency(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>keepOnlyBySmallerThanAbsoluteFrequency</h4>
<pre class="methodSignature">public&nbsp;<a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;keepOnlyBySmallerThanAbsoluteFrequency&#8203;(int&nbsp;maxFrequency)</pre>
<div class="block">Deletes all entries from the vocabulary that have an absolute frequency value bigger or equal
 than the given maxFrequency.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>maxFrequency</code> - words with maxFrequency or higher will be deleted from the vocabulary</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the modified FrequencyBowVocabulary instance itself to allow chaining of certain modification-methods.</dd>
</dl>
</li>
</ul>
<a id="keepOnlyByBiggerThanPercentage(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>keepOnlyByBiggerThanPercentage</h4>
<pre class="methodSignature">public&nbsp;<a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;keepOnlyByBiggerThanPercentage&#8203;(double&nbsp;minPercentage)</pre>
<div class="block">Only keeps words in the vocabulary whose relative frequency/percentage of the current <a href="#numberOfAdditions()"><code>numberOfAdditions()</code></a> is bigger than
 minPercentage.
 Attention: performing an "unfixed" method to reduce the vocabulary set reduces the total numberOfAdditions, so when chaining two
 methods that reduce the vocabulary by some percentage constraint, the second method will only work on the subset created by the first one!</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>minPercentage</code> - this percentage has to be surpassed for a word to stay in the vocabulary</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the modified FrequencyBowVocabulary instance itself to allow chaining of certain modification-methods.</dd>
</dl>
</li>
</ul>
<a id="keepOnlyByBiggerThanPercentageFixated(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>keepOnlyByBiggerThanPercentageFixated</h4>
<pre class="methodSignature">public&nbsp;<a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;keepOnlyByBiggerThanPercentageFixated&#8203;(double&nbsp;minPercentage)</pre>
<div class="block">Only keeps words in the vocabulary whose relative frequency/percentage of the current <a href="#fixedSize"><code>fixedSize</code></a> is bigger than
 minPercentage.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>minPercentage</code> - this percentage has to be surpassed for a word to stay in the vocabulary</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the modified FrequencyBowVocabulary instance itself to allow chaining of certain modification-methods.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="#fixedSize"><code>fixedSize</code></a>, 
<a href="#fixatePercentageReference()"><code>fixatePercentageReference()</code></a></dd>
</dl>
</li>
</ul>
<a id="keepOnlyBySmallerThanPercentage(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>keepOnlyBySmallerThanPercentage</h4>
<pre class="methodSignature">public&nbsp;<a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;keepOnlyBySmallerThanPercentage&#8203;(double&nbsp;maxPercentage)</pre>
<div class="block">Only keeps words in the vocabulary whose relative frequency/percentage of the current <a href="#numberOfAdditions()"><code>numberOfAdditions()</code></a> is smaller than
 minPercentage.
 Attention: performing an "unfixed" method to reduce the vocabulary set reduces the total numberOfAdditions, so when chaining two
 methods that reduce the vocabulary by some percentage constraint, the second method will only work on the subset created by the first one!</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>maxPercentage</code> - only words with a relative frequency lower than maxPercentage are kept inside the vocabulary</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the modified FrequencyBowVocabulary instance itself to allow chaining of certain modification-methods.</dd>
</dl>
</li>
</ul>
<a id="keepOnlyBySmallerThanPercentageFixated(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>keepOnlyBySmallerThanPercentageFixated</h4>
<pre class="methodSignature">public&nbsp;<a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;keepOnlyBySmallerThanPercentageFixated&#8203;(double&nbsp;maxPercentage)</pre>
<div class="block">Only keeps words in the vocabulary whose relative frequency/percentage of the current <a href="#fixedSize"><code>fixedSize</code></a> is smaller than
 minPercentage.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>maxPercentage</code> - only words with a relative frequency lower than maxPercentage are kept inside the vocabulary</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the modified FrequencyBowVocabulary instance itself to allow chaining of certain modification-methods.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="#fixedSize"><code>fixedSize</code></a>, 
<a href="#fixatePercentageReference()"><code>fixatePercentageReference()</code></a></dd>
</dl>
</li>
</ul>
<a id="cutTopXPercentByoccurrencesFixated(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cutTopXPercentByoccurrencesFixated</h4>
<pre class="methodSignature">public&nbsp;<a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;cutTopXPercentByoccurrencesFixated&#8203;(double&nbsp;percentage)</pre>
<div class="block">Removes all terms that make up greater or equal x% of the most occurring terms in the vocabulary. That DOES NOT mean x% of terms will be cut of!
 It will sort the terms descending (with regards to their total number of occurrences) and then begin to throw away
 terms starting with the most occurring one. It will proceed as long as the sum of the total number of occurrences of the
 removed terms makes up less than x% of the total amount of terms.
 Beware: uses <a href="#fixedSize"><code>fixedSize</code></a>
 as reference for the total amount of terms in the vocabulary. So the correct setup lies in the users responsibility
 as the user has to manually call the fitting methods to set the fixedSize correctly.
 For that use method <a href="#cutTopXPercent(double)"><code>cutTopXPercent(double)</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>percentage</code> - top percentage to be removed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the modified FrequencyBowVocabulary instance itself to allow chaining of certain modification-methods.</dd>
</dl>
</li>
</ul>
<a id="cutTopXPercent(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cutTopXPercent</h4>
<pre class="methodSignature">public&nbsp;<a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;cutTopXPercent&#8203;(double&nbsp;percentage)</pre>
<div class="block">Removes all terms that make up the top less or equal than x% of the most frequent terms in the vocabulary.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>percentage</code> - top percentage to be removed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the modified FrequencyBowVocabulary instance itself to allow chaining of certain modification-methods.</dd>
</dl>
</li>
</ul>
<a id="cutBottomXPercentByOccurrencesFixated(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cutBottomXPercentByOccurrencesFixated</h4>
<pre class="methodSignature">public&nbsp;<a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;cutBottomXPercentByOccurrencesFixated&#8203;(double&nbsp;percentage)</pre>
<div class="block">Removes all terms that make up lesser or equal than x% of the least occurring terms in the vocabulary; beware: uses <a href="#fixedSize"><code>fixedSize</code></a>
 as reference for the total amount of terms in the vocabulary.That DOES NOT mean x% of terms will be cut of!
 For that use method <a href="#cutBottomXPercent(double)"><code>cutBottomXPercent(double)</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>percentage</code> - bottom percentage to be removed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the reduced vocabulary</dd>
</dl>
</li>
</ul>
<a id="cutBottomXPercent(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cutBottomXPercent</h4>
<pre class="methodSignature">public&nbsp;<a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;cutBottomXPercent&#8203;(double&nbsp;percentage)</pre>
<div class="block">Removes all terms that make up the bottom less or equal than x% of the least frequent terms in the vocabulary.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>percentage</code> - bottom percentage to be removed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the reduced vocabulary</dd>
</dl>
</li>
</ul>
<a id="cutTopAndBottomXPercent(double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cutTopAndBottomXPercent</h4>
<pre class="methodSignature">public&nbsp;<a href="ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;cutTopAndBottomXPercent&#8203;(double&nbsp;topPercentage,
                                                double&nbsp;bottomPercentage)</pre>
<div class="block">Cuts a specified top and bottom percentage of all terms from the vocabulary.
 Top and bottom are referring to the total number of occurrences of each
 term.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>topPercentage</code> - percentage of terms to be cut of at the top</dd>
<dd><code>bottomPercentage</code> - percentage of terms to be cut of at the bottom</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the reduced vocabulary</dd>
</dl>
</li>
</ul>
<a id="keepTopXByFisherScoreCounted(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>keepTopXByFisherScoreCounted</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;keepTopXByFisherScoreCounted&#8203;(int&nbsp;numberToKeep)</pre>
<div class="block">Will calculate the fisher score for each term in the vocabulary and keep
 only the top x sorted by fisher score (descending) in the vocabulary using the actual
 number of occurrences of the individual terms while calculating the fisher scores (for example
 for the estimated expected values).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numberToKeep</code> - the reduced vocabulary</dd>
</dl>
</li>
</ul>
<a id="keepTopXByFisherScoreBinary(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>keepTopXByFisherScoreBinary</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;keepTopXByFisherScoreBinary&#8203;(int&nbsp;numberToKeep)</pre>
<div class="block">Will calculate the fisher score for each term in the vocabulary and keep
 only the top x sorted by fisher score (descending) in the vocabulary using
 binary counting to calculate the fisher score (for example for the estimated expected values).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numberToKeep</code> - the reduced vocabulary</dd>
</dl>
</li>
</ul>
<a id="applyAdditionalSteps(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>applyAdditionalSteps</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;applyAdditionalSteps&#8203;(java.lang.String&nbsp;stepsString)</pre>
<div class="block">Will apply additional steps as specified in a String by using reflection; this allows for easily extensible external configuration but
 should be used with caution. It requires knowledge on when it is necessary to call <a href="#fixatePercentageReference()"><code>fixatePercentageReference()</code></a>.
 Furthermore it should not be used on overloaded methods. The input String uses postfix-notation and allows to chain
 methods separated by ";". This method is mainly intended to apply methods to reduce the vocabulary.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stepsString</code> - steps to perform; example: "keepOnlyByBiggerThanAbsoluteFrequency 5; keepTopXByFisherScoreBinary 4000"</dd>
</dl>
</li>
</ul>
<a id="fisherScoresBinaryAsArray()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fisherScoresBinaryAsArray</h4>
<pre class="methodSignature">public&nbsp;double[]&nbsp;fisherScoresBinaryAsArray()</pre>
<div class="block">Calculates the (simple) fisher scores for the terms in this vocabulary where empiric expected values and derived expected variances
 are calculated based on the existence of the terms in the documents; that means independent on the actual number of
 occurrences of a word in a text, for the calculation of the fisher score it will be counted as one occurrence. Methods based on absolute counting exist as well.
 For a freely available paper featuring a short explanation of the F-Score see- in https://arxiv.org/ftp/arxiv/papers/1202/1202.3725.pdf
 especially equation (4).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the scores as array; REMARK as term-indices start with 1 the result is shifted by one position i.e.
 fisherScoresBinaryAsArray()[0] contains the score for the term with index 1;
 fisherScoresBinaryAsArray()[1] contains the score for the term with index 2;</dd>
</dl>
</li>
</ul>
<a id="fisherScoresBinaryAsMap()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fisherScoresBinaryAsMap</h4>
<pre class="methodSignature">public&nbsp;java.util.Map&lt;java.lang.String,&#8203;java.lang.Double&gt;&nbsp;fisherScoresBinaryAsMap()</pre>
<div class="block">Similar to <a href="#fisherScoresBinaryAsArray()"><code>fisherScoresBinaryAsArray()</code></a> but returns a map instead of an array.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the scores as Map where the key is the term and the value the respective Fisher-Score</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="#fisherScoresBinaryAsArray()"><code>fisherScoresBinaryAsArray()</code></a></dd>
</dl>
</li>
</ul>
<a id="fisherScoresCountedAsArray()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fisherScoresCountedAsArray</h4>
<pre class="methodSignature">public&nbsp;double[]&nbsp;fisherScoresCountedAsArray()</pre>
<div class="block">Calculates the (simple) fisher scores for the terms in this vocabulary where empiric expected values and derived expected variances
 are calculated based on the absolute number of occurrences of the terms in the documents. Methods based on binary counting exist as well.
 For a freely available paper featuring a short explanation of the F-Score see- in https://arxiv.org/ftp/arxiv/papers/1202/1202.3725.pdf
 especially equation (4).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the scores as array; REMARK as term-indices start with 1 the result is shifted by one position i.e.
 fisherScoresCountedAsArray()[0] contains the score for the term with index 1;
 fisherScoresCountedAsArray()[1] contains the score for the term with index 2;
 ...</dd>
</dl>
</li>
</ul>
<a id="fisherScoresCountedAsMap()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fisherScoresCountedAsMap</h4>
<pre class="methodSignature">public&nbsp;java.util.Map&lt;java.lang.String,&#8203;java.lang.Double&gt;&nbsp;fisherScoresCountedAsMap()</pre>
<div class="block">Similar to <a href="#fisherScoresCountedAsArray()"><code>fisherScoresCountedAsArray()</code></a> but returns a map instead of an array.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the scores as Map where the key is the term and the value the respective Fisher-Score</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="#fisherScoresCountedAsArray()"><code>fisherScoresCountedAsArray()</code></a></dd>
</dl>
</li>
</ul>
<a id="termIndicesSortedByFisherScoreCounted()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>termIndicesSortedByFisherScoreCounted</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;org.apache.commons.lang3.tuple.ImmutablePair&lt;java.lang.Integer,&#8203;java.lang.Double&gt;&gt;&nbsp;termIndicesSortedByFisherScoreCounted()</pre>
<div class="block">Returns a list term indices sorted by fisher score (counted version) in the form
 of ImmutablePairs where left is the term-index and right is the associated fisher score</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of fisher scores</dd>
</dl>
</li>
</ul>
<a id="termIndicesSortedByFisherScoreBinary()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>termIndicesSortedByFisherScoreBinary</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;org.apache.commons.lang3.tuple.ImmutablePair&lt;java.lang.Integer,&#8203;java.lang.Double&gt;&gt;&nbsp;termIndicesSortedByFisherScoreBinary()</pre>
<div class="block">Returns a list term indices sorted by fisher score (binary version) in the form
 of ImmutablePairs where left is the term-index and right is the associated fisher score</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of fisher scores</dd>
</dl>
</li>
</ul>
<a id="termsSortedByFisherScoreCounted()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>termsSortedByFisherScoreCounted</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;org.apache.commons.lang3.tuple.ImmutablePair&lt;java.lang.String,&#8203;java.lang.Double&gt;&gt;&nbsp;termsSortedByFisherScoreCounted()</pre>
<div class="block">Returns a list terms sorted by fisher score (counted version) in the form
 of ImmutablePairs where left is the term and right is the associated fisher score</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of fisher scores</dd>
</dl>
</li>
</ul>
<a id="termsSortedByFisherScoreBinary()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>termsSortedByFisherScoreBinary</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;org.apache.commons.lang3.tuple.ImmutablePair&lt;java.lang.String,&#8203;java.lang.Double&gt;&gt;&nbsp;termsSortedByFisherScoreBinary()</pre>
<div class="block">Returns a list terms sorted by fisher score (binary version) in the form
 of ImmutablePairs where left is the term and right is the associated fisher score</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of fisher scores</dd>
</dl>
</li>
</ul>
<a id="get(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre class="methodSignature">public&nbsp;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&nbsp;get&#8203;(java.lang.String&nbsp;term)</pre>
<div class="block">Returns the <a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary"><code>TermStatistics</code></a> for a given term.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>term</code> - the term in question</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the TermStatistics</dd>
</dl>
</li>
</ul>
<a id="get(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get</h4>
<pre class="methodSignature">public&nbsp;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&nbsp;get&#8203;(int&nbsp;index)</pre>
<div class="block">Returns the <a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary"><code>TermStatistics</code></a> for a term by a given term-index.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - the index for the term in question</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the TermStatistics</dd>
</dl>
</li>
</ul>
<a id="getTermByIndex(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTermByIndex</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getTermByIndex&#8203;(int&nbsp;index)</pre>
<div class="block">Returns the term associated with a given index.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - the index</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the term</dd>
</dl>
</li>
</ul>
<a id="getTransformationLog()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransformationLog</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getTransformationLog()</pre>
<div class="block">Returns the transformation log for this vocabulary containing all the steps
 performed to reduce this vocabulary. REMARK that this will not work on
 vocabularies that were read from a file as those do not persist this kind of information.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the transformation log as string</dd>
</dl>
</li>
</ul>
<a id="size()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;size()</pre>
<div class="block">Returns the number of different terms contained in this vocabulary.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of different terms in this vocabulary</dd>
</dl>
</li>
</ul>
<a id="isEmpty()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isEmpty()</pre>
<div class="block">Tests the vocabulary for emptiness</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the vocabulary is empty, else false</dd>
</dl>
</li>
</ul>
<a id="iteratorTermStringToInfoMapEntrySet()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iteratorTermStringToInfoMapEntrySet</h4>
<pre class="methodSignature">public&nbsp;java.util.Iterator&lt;java.util.Map.Entry&lt;java.lang.String,&#8203;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;&gt;&nbsp;iteratorTermStringToInfoMapEntrySet()</pre>
<div class="block">Creates an iterator returning map entries where a term is associated with its corresponding
 TermStatistics-object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the iterator</dd>
</dl>
</li>
</ul>
<a id="iterator()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iterator</h4>
<pre class="methodSignature">@NotNull
public&nbsp;@NotNull java.util.Iterator&lt;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;&nbsp;iterator()</pre>
<div class="block">Creates an iterator returning TermStatistic-objects for terms contained in this vocabulary.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the iterator</dd>
</dl>
</li>
</ul>
<a id="forEach(java.util.function.Consumer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>forEach</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;forEach&#8203;(java.util.function.Consumer&lt;? super <a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;&nbsp;action)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>forEach</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="spliterator()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>spliterator</h4>
<pre class="methodSignature">public&nbsp;java.util.Spliterator&lt;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;&nbsp;spliterator()</pre>
<div class="block">NOT IMPLEMENTED</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>spliterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a href="TermStatistics.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">TermStatistics</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>null</dd>
</dl>
</li>
</ul>
<a id="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getId()</pre>
</li>
</ul>
<a id="setId(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setId</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setId&#8203;(java.lang.String&nbsp;id)</pre>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a id="isApplyLowerCasing()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isApplyLowerCasing</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isApplyLowerCasing()</pre>
</li>
</ul>
<a id="isRemoveStopwords()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRemoveStopwords</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isRemoveStopwords()</pre>
</li>
</ul>
<a id="isApplyStemming()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isApplyStemming</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isApplyStemming()</pre>
</li>
</ul>
<a id="setCreatedBy(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setCreatedBy</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setCreatedBy&#8203;(java.lang.String&nbsp;createdBy)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
